%define module 	XML-EasyOBJ
%define version 1.0
%define release 4mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl
Requires:	perl-XML-Parser perl-XML-XSLT 
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Url:		http://www.cpan.org


%description
%{module} - Easy XML object navigation

%prep
%setup -q -n %{module}-%{version}

%build
cd EasyOBJ
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
cd EasyOBJ
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  Readme samples docs
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.0-4mdk
- rebuild for perl 5.8.0

* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- fix requires on perl-XML-XSLT

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- fixed by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.0-1mdk
- First Mandrake Release



